GMIC GIT-version doesn't compile with GIMP in GIT-version

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

GMIC GIT-version doesn't compile with GIMP in GIT-version

Helmut Jarausch
Hi,

recent changes in Gimp (GIT) make compiling GMIC (GIT) fail.
Has anybody patches for GMIC or information on how to upgrade packages  
with use libgimp?

Many thanks from some hints,
Helmut
_______________________________________________
gimp-developer-list mailing list
List address:    [hidden email]
List membership: https://mail.gnome.org/mailman/listinfo/gimp-developer-list
List archives:   https://mail.gnome.org/archives/gimp-developer-list
Reply | Threaded
Open this post in threaded view
|

Re: GMIC GIT-version doesn't compile with GIMP in GIT-version

Partha Bagchi-2
Just hold off for a few and will let you know.

Thanks,
Partha


On Tue, Jan 24, 2017 at 12:31 PM, Helmut Jarausch <[hidden email]>
wrote:

> Hi,
>
> recent changes in Gimp (GIT) make compiling GMIC (GIT) fail.
> Has anybody patches for GMIC or information on how to upgrade packages
> with use libgimp?
>
> Many thanks from some hints,
> Helmut
> _______________________________________________
> gimp-developer-list mailing list
> List address:    [hidden email]
> List membership: https://mail.gnome.org/mailman
> /listinfo/gimp-developer-list
> List archives:   https://mail.gnome.org/archives/gimp-developer-list
>
_______________________________________________
gimp-developer-list mailing list
List address:    [hidden email]
List membership: https://mail.gnome.org/mailman/listinfo/gimp-developer-list
List archives:   https://mail.gnome.org/archives/gimp-developer-list
Reply | Threaded
Open this post in threaded view
|

Re: GMIC GIT-version doesn't compile with GIMP in GIT-version

Michael Natterer
Try again with latest git master, it should work now.

Regards,
Mitch

On Tue, 2017-01-24 at 12:56 -0500, Partha Bagchi wrote:

> Just hold off for a few and will let you know.
>
> Thanks,
> Partha
>
>
> On Tue, Jan 24, 2017 at 12:31 PM, Helmut Jarausch <[hidden email]
> >
> wrote:
>
> > Hi,
> >
> > recent changes in Gimp (GIT) make compiling GMIC (GIT) fail.
> > Has anybody patches for GMIC or information on how to upgrade
> > packages
> > with use libgimp?
> >
> > Many thanks from some hints,
> > Helmut
> > _______________________________________________
> > gimp-developer-list mailing list
> > List address:    [hidden email]
> > List membership: https://mail.gnome.org/mailman
> > /listinfo/gimp-developer-list
> > List archives:   https://mail.gnome.org/archives/gimp-developer-lis
> > t
> >
>
> _______________________________________________
> gimp-developer-list mailing list
> List address:    [hidden email]
> List membership: https://mail.gnome.org/mailman/listinfo/gimp-develop
> er-list
> List archives:   https://mail.gnome.org/archives/gimp-developer-list
_______________________________________________
gimp-developer-list mailing list
List address:    [hidden email]
List membership: https://mail.gnome.org/mailman/listinfo/gimp-developer-list
List archives:   https://mail.gnome.org/archives/gimp-developer-list
Reply | Threaded
Open this post in threaded view
|

Re: GMIC GIT-version doesn't compile with GIMP in GIT-version

Partha Bagchi-2
No need to file a bug report then?

On Tue, Jan 24, 2017 at 5:30 PM, Michael Natterer <[hidden email]> wrote:

> Try again with latest git master, it should work now.
>
> Regards,
> Mitch
>
> On Tue, 2017-01-24 at 12:56 -0500, Partha Bagchi wrote:
> > Just hold off for a few and will let you know.
> >
> > Thanks,
> > Partha
> >
> >
> > On Tue, Jan 24, 2017 at 12:31 PM, Helmut Jarausch <[hidden email]
> > >
> > wrote:
> >
> > > Hi,
> > >
> > > recent changes in Gimp (GIT) make compiling GMIC (GIT) fail.
> > > Has anybody patches for GMIC or information on how to upgrade
> > > packages
> > > with use libgimp?
> > >
> > > Many thanks from some hints,
> > > Helmut
> > > _______________________________________________
> > > gimp-developer-list mailing list
> > > List address:    [hidden email]
> > > List membership: https://mail.gnome.org/mailman
> > > /listinfo/gimp-developer-list
> > > List archives:   https://mail.gnome.org/archives/gimp-developer-lis
> > > t
> > >
> >
> > _______________________________________________
> > gimp-developer-list mailing list
> > List address:    [hidden email]
> > List membership: https://mail.gnome.org/mailman/listinfo/gimp-develop
> > er-list
> > List archives:   https://mail.gnome.org/archives/gimp-developer-list
>
_______________________________________________
gimp-developer-list mailing list
List address:    [hidden email]
List membership: https://mail.gnome.org/mailman/listinfo/gimp-developer-list
List archives:   https://mail.gnome.org/archives/gimp-developer-list
Reply | Threaded
Open this post in threaded view
|

Re: GMIC GIT-version doesn't compile with GIMP in GIT-version

Michael Natterer
On Tue, 2017-01-24 at 18:26 -0500, Partha Bagchi wrote:
> No need to file a bug report then?

Nope :)

> On Tue, Jan 24, 2017 at 5:30 PM, Michael Natterer <[hidden email]>
> wrote:
>
> > Try again with latest git master, it should work now.
> >
> > Regards,
> > Mitch
> >
> > On Tue, 2017-01-24 at 12:56 -0500, Partha Bagchi wrote:
> > > Just hold off for a few and will let you know.
> > >
> > > Thanks,
> > > Partha
> > >
> > >
> > > On Tue, Jan 24, 2017 at 12:31 PM, Helmut Jarausch <jarausch@skyne
> > > t.be
> > > >
> > >
> > > wrote:
> > >
> > > > Hi,
> > > >
> > > > recent changes in Gimp (GIT) make compiling GMIC (GIT) fail.
> > > > Has anybody patches for GMIC or information on how to upgrade
> > > > packages
> > > > with use libgimp?
> > > >
> > > > Many thanks from some hints,
> > > > Helmut
> > > > _______________________________________________
> > > > gimp-developer-list mailing list
> > > > List address:    [hidden email]
> > > > List membership: https://mail.gnome.org/mailman
> > > > /listinfo/gimp-developer-list
> > > > List archives:   https://mail.gnome.org/archives/gimp-developer
> > > > -lis
> > > > t
> > > >
> > >
> > > _______________________________________________
> > > gimp-developer-list mailing list
> > > List address:    [hidden email]
> > > List membership: https://mail.gnome.org/mailman/listinfo/gimp-dev
> > > elop
> > > er-list
> > > List archives:   https://mail.gnome.org/archives/gimp-developer-l
> > > ist
>
> _______________________________________________
> gimp-developer-list mailing list
> List address:    [hidden email]
> List membership: https://mail.gnome.org/mailman/listinfo/gimp-develop
> er-list
> List archives:   https://mail.gnome.org/archives/gimp-developer-list
_______________________________________________
gimp-developer-list mailing list
List address:    [hidden email]
List membership: https://mail.gnome.org/mailman/listinfo/gimp-developer-list
List archives:   https://mail.gnome.org/archives/gimp-developer-list
Reply | Threaded
Open this post in threaded view
|

Re: GMIC GIT-version doesn't compile with GIMP in GIT-version

Helmut Jarausch
In reply to this post by Michael Natterer
On 01/24/2017 11:30:03 PM, Michael Natterer wrote:
> Try again with latest git master, it should work now.
>
Hi Michael, it looks I have no luck.
I've build GIMP (version 2017/01/25 12:12) and then I've tried to build  
GMIC (version 2017/01/25 12:25)

Here just a fine error messages (there are a lot more)

gmic_gimp.cpp:393:50: error: 'GimpLayerModeEffects' has not been  
declared
  void get_output_layer_props(const char *const s, GimpLayerModeEffects  
&blendmode, double &opacity,
                                                   ^~~~~~~~~~~~~~~~~~~~
gmic_gimp.cpp: In function 'void get_output_layer_props(const char*,  
int&, double&, int&, int&, cimg_library::CImg<char>&)':
gmic_gimp.cpp:406:39: error: 'GIMP_NORMAL_MODE' was not declared in  
this scope
    _get_output_layer_blendmode("alpha",GIMP_NORMAL_MODE);
                                        ^
_______________________________________________
gimp-developer-list mailing list
List address:    [hidden email]
List membership: https://mail.gnome.org/mailman/listinfo/gimp-developer-list
List archives:   https://mail.gnome.org/archives/gimp-developer-list
Reply | Threaded
Open this post in threaded view
|

Re: GMIC GIT-version doesn't compile with GIMP in GIT-version

Partha Bagchi-2
You might want to consider git pull GIMP and rebuild.

Then git pull GMIC. Next get rid of your previous build from your gmic
build folder. Now use cmake and build again.

The above error should go away.


On Wed, Jan 25, 2017 at 6:32 AM, Helmut Jarausch <[hidden email]> wrote:

> On 01/24/2017 11:30:03 PM, Michael Natterer wrote:
>
>> Try again with latest git master, it should work now.
>>
>> Hi Michael, it looks I have no luck.
> I've build GIMP (version 2017/01/25 12:12) and then I've tried to build
> GMIC (version 2017/01/25 12:25)
>
> Here just a fine error messages (there are a lot more)
>
> gmic_gimp.cpp:393:50: error: 'GimpLayerModeEffects' has not been declared
>  void get_output_layer_props(const char *const s, GimpLayerModeEffects
> &blendmode, double &opacity,
>                                                   ^~~~~~~~~~~~~~~~~~~~
> gmic_gimp.cpp: In function 'void get_output_layer_props(const char*, int&,
> double&, int&, int&, cimg_library::CImg<char>&)':
> gmic_gimp.cpp:406:39: error: 'GIMP_NORMAL_MODE' was not declared in this
> scope
>    _get_output_layer_blendmode("alpha",GIMP_NORMAL_MODE);
>                                        ^
_______________________________________________
gimp-developer-list mailing list
List address:    [hidden email]
List membership: https://mail.gnome.org/mailman/listinfo/gimp-developer-list
List archives:   https://mail.gnome.org/archives/gimp-developer-list